/*
 *  Copyright (c) 2025 John Ahlroos / Devsoap
 *
 *  Creative Commons Attribution-NoDerivatives 4.0 International Public License
 *
 *  By exercising the Licensed Rights (defined below), You accept and agree
 *  to be bound by the terms and conditions of this Creative Commons
 *  Attribution-NoDerivatives 4.0 International Public License ("Public
 *  License"). To the extent this Public License may be interpreted as a
 *  contract, You are granted the Licensed Rights in consideration of Your
 *  acceptance of these terms and conditions, and the Licensor grants You
 *  such rights in consideration of benefits the Licensor receives from
 *  making the Licensed Material available under these terms and
 *  conditions.
 *
 *  Refer to LICENSE file or https://creativecommons.org/licenses/by-nd/4.0 for full license.
 *
 */

package com.devsoap.tincheck.tin;

import io.micronaut.core.util.StringUtils;

public interface TinValidator {

    default String cleanTin(String tin) {
        return tin.replace(" ", "");
    }

    default boolean validate(String tin){
        String strippedTin = cleanTin(tin);
        return basicCheck(strippedTin) && formatCheck(strippedTin) && logicCheck(strippedTin);
    }

    default boolean basicCheck(String tin) {
        return StringUtils.hasText(tin);
    }

    default boolean formatCheck(String tin){
        return true;
    }

    default boolean logicCheck(String tin){
        return true;
    }
}